Kerabie
API Reference

Agents

List and retrieve agents in your organisation.

List agents

GET /agents

Returns all agents who have access to your organisation.

Response

{
  "data": [
    {
      "id": 7,
      "name": "Sarah",
      "email": "sarah@yourcompany.com",
      "availability": "online",
      "role": "agent",
      "avatar": "https://assets.kerabie.com/avatars/7.png"
    }
  ]
}

Get an agent

GET /agents/:id

Agent availability

Agents set their own availability from the dashboard or mobile app. The availability field is one of:

ValueMeaning
onlineAvailable to receive conversations
awayTemporarily unavailable
busyIn a conversation, prefer not to be assigned
offlineNot logged in or signed out